### Struct

# GLib TreeNode

since: 2.68

#### Description

    struct GTreeNode {
      /* No available fields */
    }

An opaque type which identifies a specific node in a `GTree`.

Available since: 2.68

#### Instance methods

###### g_tree_node_key

Gets the key stored at a particular tree node.

since: 2.68

###### g_tree_node_next

Returns the next in-order node of the tree, or `NULL` if the passed node was already the last one.

since: 2.68

###### g_tree_node_previous

Returns the previous in-order node of the tree, or `NULL` if the passed node was already the first one.

since: 2.68

###### g_tree_node_value

Gets the value stored at a particular tree node.

since: 2.68